Bug 56028 - bad: system crash
bad: system crash
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-11 04:06 EST by RazboiniK SS
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RazboiniK SS 2001-11-11 04:06:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010917

Description of problem:
i'm not sure what happened but this appears when i tried to execute
something in the shell and then the system crashed
kernerl 2.4.9-13

kernel: Code: 89 50 04 89 02 c7 41 04 00 00 00 00 c7 43 30 00 00 00 00 ff 
kernel:  <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000005
kernel:  printing eip:
kernel: c0116335
kernel: *pde = 00000000
kernel: Oops: 0002
kernel: CPU:    0
kernel: EIP:    0010:[mmput+53/112]    Tainted: P 
kernel: EIP:    0010:[<c0116335>]    Tainted: P 
kernel: EFLAGS: 00010287
kernel: eax: 00000001   ebx: c18e7920   ecx: c18e7950   edx: 00000001
kernel: esi: 000000a4   edi: 000003cc   ebp: 000003cc   esp: d1547f14
kernel: ds: 0018   es: 0018   ss: 0018
kernel: Process ps (pid: 4080, stackpage=d1547000)
kernel: Stack: c18e7920 c0154692 c18e7920 53000000 00000406 000003cc
00000000 bffffda8 
kernel:        4010b7e4 00000000 80000000 00002000 00000000 cca79e40
000001ff d211a000 
kernel:        c65af000 c01526cc d211a000 c65af000 00000000 c1ab0000
c8bfb260 ffffffea 
kernel: Call Trace: [proc_pid_stat+578/592] proc_pid_stat [kernel] 0x242 
kernel: Call Trace: [<c0154692>] proc_pid_stat [kernel] 0x242 
kernel: [proc_info_read+76/256] proc_info_read [kernel] 0x4c 
kernel: [<c01526cc>] proc_info_read [kernel] 0x4c 
kernel: [sys_read+150/208] sys_read [kernel] 0x96 
kernel: [<c01364f6>] sys_read [kernel] 0x96 
kernel: [sys_open+125/176] sys_open [kernel] 0x7d 
kernel: [<c013601d>] sys_open [kernel] 0x7d 
kernel: [system_call+51/56] system_call [kernel] 0x33 
kernel: [<c0106f3b>] system_call [kernel] 0x33 


Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce


Additional info:
Comment 1 Arjan van de Ven 2001-11-11 05:19:53 EST
1) Is this repeatable
2) What modules are loaded? (please attach the output of lsmod)
Comment 2 RazboiniK SS 2001-11-11 16:55:19 EST
I'm not be able to reproduce it. I just were on internet and updating rpms when
the system crash

Module                  Size  Used by
ppp_deflate            41376   0 (autoclean)
bsd_comp                4384   0 (autoclean)
ppp_async               6720   1 (autoclean)
ppp_generic            19336   3 (autoclean) [ppp_deflate bsd_comp ppp_async]
slhc                    5280   0 (autoclean) [ppp_generic]
ide-cd                 27072   0 (autoclean)
cdrom                  28576   0 (autoclean) [ide-cd]
ymfpci                 41220   0 (autoclean)
uart401                 6592   0 (autoclean) [ymfpci]
sound                  59628   0 (autoclean) [uart401]
ac97_codec              9504   0 (autoclean) [ymfpci]
soundcore               4452   4 (autoclean) [ymfpci sound]
binfmt_misc             6436   1
parport_pc             14916   1 (autoclean)
lp                      6336   0 (autoclean)
parport                25600   1 (autoclean) [parport_pc lp]
autofs                 11556   0 (autoclean) (unused)
appletalk              20908   0 (autoclean)
ipx                    16404   0 (autoclean)
ipchains               39368   0
ext3                   62496   2 (autoclean)
jbd                    41092   2 (autoclean) [ext3]
usb-uhci               21668   0 (unused)
usbcore                51808   1 [usb-uhci]
Comment 3 Need Real Name 2001-11-19 09:33:55 EST
I have the same problem.

the message list are:

Nov 19 13:38:18 www kernel: Unable to handle kernel NULL pointer dereference at 
virtual address 00000020
Nov 19 13:38:18 www kernel:  printing eip:
Nov 19 13:38:18 www kernel: c012e027
Nov 19 13:38:18 www kernel: *pde = 00000000
Nov 19 13:38:18 www kernel: Oops: 0002
Nov 19 13:38:18 www kernel: CPU:    0
Nov 19 13:38:18 www kernel: EIP:    0010:[__remove_from_lru_list+23/112]
Nov 19 13:38:18 www kernel: EIP:    0010:[<c012e027>]
Nov 19 13:38:18 www kernel: EFLAGS: 00010206
Nov 19 13:38:18 www kernel: eax: 10000000   ebx: d9069660   ecx: d9069660   
edx: 00000000
Nov 19 13:38:18 www kernel: esi: d9069600   edi: d9069660   ebp: c16a594c   
esp: c18bdf54
Nov 19 13:38:18 www kernel: ds: 0018   es: 0018   ss: 0018
Nov 19 13:38:18 www kernel: Process kswapd (pid: 4, stackpage=c18bd000)
Nov 19 13:38:18 www kernel: Stack: c012e10d d9069660 00000000 c0130940 d9069660 
00000001 00000203 c0124f1c
Nov 19 13:38:18 www kernel:        c1044010 c02b8318 000000c0 c16a594c 00000007 
00000243 c012570c c16a594c
Nov 19 13:38:18 www kernel:        000000c0 00000051 00000006 000000c0 0000003f 
00000001 c0125e29 000000c0
Nov 19 13:38:18 www kernel: Call Trace: [__remove_from_queues+45/48] 
[try_to_free_buffers+112/336] [swap_out_mm+76/112] [page_launder+796/2016] 
[do_try_to_free_pages+73/192]
Nov 19 13:38:18 www kernel: Call Trace: [<c012e10d>] [<c0130940>] [<c0124f1c>] 
[<c012570c>] [<c0125e29>]
Nov 19 13:38:18 www kernel:    [kswapd+109/176] [_stext+0/48] [_stext+0/48] 
[kernel_thread+38/48] [kswapd+0/176]
Nov 19 13:38:18 www kernel:    [<c0125f0d>] [<c0105000>] [<c0105000>] 
[<c01056e6>] [<c0125ea0>]
Nov 19 13:38:18 www kernel:
Nov 19 13:38:19 www kernel: Code: 89 42 20 8b 41 20 8b 51 24 89 50 24 8b 44 24 
08 8d 14 85 00

The system kswapd process dead.

I4m now using a 2.4.9 monolitic kernel.

The system works fine under low load, but crash when is under huge load.

I4ve changed memory modules and run various memory tests.

I4ve changed the lilo and include the append="apm=off" directive, but
the problem persists.

I must reduce the memory speed today.

Sorry for my limited English.
Comment 4 Need Real Name 2001-11-23 04:25:26 EST
Bug resolved on my system:

The problem was solved on my system. An no correct scsi cable was the problem.

Replaced it and work fine.

I think this bugs are frecuently hardware problems.

Thank you all.

Javier.
Comment 5 RazboiniK SS 2001-12-12 19:56:22 EST
kernel: kernel BUG at inode.c:681!
kernel: invalid operand: 0000
kernel: CPU:    0
kernel: EIP:    0010:[prune_icache+88/304]    Tainted: PF
kernel: EIP:    0010:[<c0149488>]    Tainted: PF
kernel: EFLAGS: 00013286
kernel: eax: 0000001b   ebx: ce097008   ecx: 00000001   edx: 0000214d
kernel: esi: ce097000   edi: ce097040   ebp: c1753fa8   esp: c1753f84
kernel: ds: 0018   es: 0018   ss: 0018
kernel: Process kswapd (pid: 5, stackpage=c1753000)
kernel: Stack: c022e07c 000002a9 00000000 00000010 cc04ce48 cbf99748 000003b9
000000c0 
kernel:        000000c0 0008e000 c0149581 fffffff0 c012f2c3 00000000 000000c0
c1954130 
kernel:        000000c0 000000c0 00000000 c1752000 00000006 c012f345 000000c0
00000000 
kernel: Call Trace: [IRQ0x0f_interrupt+114684/138400] .rodata.str1.1 [kernel]
0x2817 
kernel: Call Trace: [<c022e07c>] .rodata.str1.1 [kernel] 0x2817 
kernel: [shrink_icache_memory+33/64] shrink_icache_memory [kernel] 0x21 
kernel: [<c0149581>] shrink_icache_memory [kernel] 0x21 
kernel: [do_try_to_free_pages+35/80] do_try_to_free_pages [kernel] 0x23 
kernel: [<c012f2c3>] do_try_to_free_pages [kernel] 0x23 
kernel: [kswapd+85/240] kswapd [kernel] 0x55 
kernel: [<c012f345>] kswapd [kernel] 0x55 
kernel: [_stext+0/48] stext [kernel] 0x0 
kernel: [<c0105000>] stext [kernel] 0x0 
kernel: [kernel_thread+38/48] kernel_thread [kernel] 0x26 
kernel: [<c0105726>] kernel_thread [kernel] 0x26 
kernel: [kswapd+0/240] kswapd [kernel] 0x0 
kernel: [<c012f2f0>] kswapd [kernel] 0x0

kernel: Code: 0f 0b 58 8b 86 0c 01 00 00 5a 8d b4 26 00 00 00 00 8d bc 27 
kernel:  <1>Unable to handle kernel paging request at virtual address 2649a521
kernel:  printing eip:
kernel: c01151e2
kernel: *pde = 00000000
kernel: Oops: 0000
kernel: CPU:    0
kernel: EIP:    0010:[__wake_up+34/160]    Tainted: PF
kernel: EIP:    0010:[<c01151e2>]    Tainted: PF
kernel: EFLAGS: 00210013
kernel: eax: d2071f28   ebx: 2649a525   ecx: 00000001   edx: 00000003
kernel: esi: d2071e80   edi: 00000001   ebp: c905de6c   esp: c905de54
kernel: ds: 0018   es: 0018   ss: 0018
kernel: Process mozilla-bin (pid: 2447, stackpage=c905d000)
kernel: Stack: 00200286 00000003 d2071f24 00000000 d2071e80 d2071e80 d3d47000
c0149817 
kernel:        00000001 00000001 00000000 00000000 00000000 d3f8f940 0003ee63
d3d47000 
kernel:        c0149a72 d3d47000 0003ee63 d3f8f940 00000000 00000000 0000000f
00000000 
kernel: Call Trace: [get_new_inode+231/368] get_new_inode [kernel] 0xe7 
kernel: Call Trace: [<c0149817>] get_new_inode [kernel] 0xe7 
kernel: [iget4+210/224] iget4 [kernel] 0xd2 
kernel: [<c0149a72>] iget4 [kernel] 0xd2 
kernel:
[appletalk:__insmod_appletalk_O/lib/modules/2.4.9-13/kernel/net/applet+-182552/96]
__insmod_ext3_S.text_L42880 [ext3] 0x6688 
kernel: [<d48a86e8>] __insmod_ext3_S.text_L42880 [ext3] 0x6688 
kernel: [real_lookup+79/192] real_lookup [kernel] 0x4f 
kernel: [<c013f88f>] real_lookup [kernel] 0x4f 
kernel: [path_walk+1462/2064] path_walk [kernel] 0x5b6 
kernel: [<c013ffb6>] path_walk [kernel] 0x5b6 
kernel: [transmit_chars+210/224] transmit_chars [kernel] 0xd2 
kernel: [<c0178ea2>] transmit_chars [kernel] 0xd2 
kernel: [__user_walk+58/96] __user_walk [kernel] 0x3a 
kernel: [<c01406da>] __user_walk [kernel] 0x3a 
kernel: [sys_stat64+19/112] sys_stat64 [kernel] 0x13 
kernel: [<c013d4e3>] sys_stat64 [kernel] 0x13 
kernel: [do_IRQ+140/176] do_IRQ [kernel] 0x8c 
kernel: [<c01083fc>] do_IRQ [kernel] 0x8c 
kernel: [system_call+51/56] system_call [kernel] 0x33 
kernel: [<c0106f3b>] system_call [kernel] 0x33

kernel: Code: 8b 4b fc 8b 01 85 45 ec 74 4e 31 c0 9c 5e fa c7 01 00 00 00 
kernel:  <1>Unable to handle kernel paging request at virtual address 2562631f
kernel:  printing eip:
kernel: c0147e30
kernel: *pde = 00000000
kernel: Oops: 0002
kernel: CPU:    0
kernel: EIP:    0010:[d_instantiate+48/80]    Tainted: PF
kernel: EIP:    0010:[<c0147e30>]    Tainted: PF
kernel: EFLAGS: 00210282
kernel: eax: 2562631b   ebx: d39f6250   ecx: c194e1c8   edx: d2071e90
kernel: esi: d2071e80   edi: d39f6220   ebp: d2071fa4   esp: ce495e70
kernel: ds: 0018   es: 0018   ss: 0018
kernel: Process xmms (pid: 1652, stackpage=ce495000)
kernel: Stack: d39f6220 c49f4f60 ce495eb8 c01bb4d8 d39f6220 d2071e80 c01bda71
ca0377c0 
kernel:        ce5a6ac0 00000000 3035315b 37393434 d099005d c01bea2a 00200286
00200286 
kernel:        00000001 ce5a6e0c ce495e98 00000009 0016f4f1 d142de60 0000000c
d2071fa4 
kernel: Call Trace: [sock_map_file+152/272] sock_map_file [kernel] 0x98 
kernel: Call Trace: [<c01bb4d8>] sock_map_file [kernel] 0x98 
kernel: [sock_wfree+33/64] sock_wfree [kernel] 0x21 
kernel: [<c01bda71>] sock_wfree [kernel] 0x21 
kernel: [__kfree_skb+282/288] __kfree_skb [kernel] 0x11a 
kernel: [<c01bea2a>] __kfree_skb [kernel] 0x11a 
kernel: [sock_map_fd+24/128] sock_map_fd [kernel] 0x18 
kernel: [<c01bb568>] sock_map_fd [kernel] 0x18 
kernel: [sys_accept+187/240] sys_accept [kernel] 0xbb 
kernel: [<c01bc2fb>] sys_accept [kernel] 0xbb 
kernel: [poll_freewait+68/80] poll_freewait [kernel] 0x44 
kernel: [<c0143f34>] poll_freewait [kernel] 0x44 
kernel: [do_select+550/576] do_select [kernel] 0x226 
kernel: [<c01442d6>] do_select [kernel] 0x226 
kernel: [sys_select+1138/1152] sys_select [kernel] 0x472 
kernel: [<c0144792>] sys_select [kernel] 0x472 
kernel: [sys_socketcall+176/512] sys_socketcall [kernel] 0xb0 
kernel: [<c01bccf0>] sys_socketcall [kernel] 0xb0 
kernel: [system_call+51/56] system_call [kernel] 0x33 
kernel: [<c0106f3b>] system_call [kernel] 0x33
Comment 6 Bugzilla owner 2004-09-30 11:39:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.